| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class MinusOp

    java.lang.Object
      |
      +--Operator
            |
            +--AddOp
                  |
                  +--MinusOp

public class MinusOp
extends AddOp

Constructor Summary
`MinusOp()`

Method Summary
`void` | `codegen(ClassFile classfile, CodeAttribute code, Expr expr, boolean neg, de.dhbwstuttgart.typeinference.Menge paralist)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MinusOp

    public MinusOp()

Method Detail

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        Expr expr,
                        boolean neg,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `AddOp`
    `JVMCodeException`

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD